## org.openorb.compiler.idl.reflect
Interface idlParameter

All Superinterfaces:
  idlObject

All Known Implementing Classes:
  IdlParam, IdlFactoryMember

public interface idlParameter
extends idlObject

This interface is implemented by all IDL objects that represent a parameter description

Version:
  $Revision: 1.4 $ $Date: 2002/08/21 08:19:21 $
Author:
  Jerome Daniel

Field Summary
`static int` `PARAM_IN`
`static int` `PARAM_INOUT`
`static int` `PARAM_OUT`

Method Summary
`int` `paramMode()` Return the parameter mode
`idlObject` `paramType()` Return the parameter type

Methods inherited from interface org.openorb.compiler.idl.reflect.idlObject
`containsObject, content, filter, idlConcreteType, idlDefinedIn, idlFinalType, idlID, idlName, idlType, included`

Field Detail

### PARAM_IN

    public static final int PARAM_IN

### PARAM_OUT

    public static final int PARAM_OUT

### PARAM_INOUT

    public static final int PARAM_INOUT

Method Detail

### paramMode

    public int paramMode()

  Return the parameter mode

### paramType

    public idlObject paramType()

  Return the parameter type